# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "egui-circular-progress-bar"
version = "1.0.0"
authors = ["Linus Leo Stöckli"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A circular progress bar widget for egui."
homepage = "https://github.com/hacknus/egui-circular-progress-bar"
documentation = "https://docs.rs/egui-circular-progress-bar"
readme = "README.md"
keywords = [
    "egui",
    "progress-bar",
    "circular",
    "widget",
]
categories = ["gui"]
license = "GPL-3.0"
repository = "https://github.com/hacknus/egui-circular-progress-bar"

[lib]
name = "egui_circular_progress_bar"
path = "src/lib.rs"

[[example]]
name = "demo"
path = "examples/demo.rs"

[dependencies.egui]
version = "0.35"

[dev-dependencies.eframe]
version = "0.35"
